Docs Rizler

Pipeline

Create Pipeline

POSThttps://app.rizzdial.com/api/pipeline
Create Pipeline
curl --request POST \
  --url https://app.rizzdial.com/api/pipeline \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Sales",
  "stages": [
    "New",
    "Won"
  ],
  "ghl_location_id": "unsynced"
}'
{
  "data": {
    "id": "MQ==",
    "name": "Sales",
    "stages": [
      {
        "id": "Mg==",
        "stage_name": "New"
      }
    ]
  },
  "message": "Pipeline created successfully.",
  "success": true
}

Create Pipeline#

Creates a pipeline. name is required. Optional stages can be strings or { stage_name } objects. An appointment stage is also created.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

namestringbodyrequired

Pipeline name. Max 255 characters

ghl_location_idstringbody

Location id from Pipeline GHL Locations. Omit to skip sync

stagesarraybody

Stage names. Each item is a string or { "stage_name": "New" }

curl --request POST \
  --url https://app.rizzdial.com/api/pipeline \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"name":"Sales","stages":["New","Won"]}'
successboolean

true when the pipeline is created

messagestring

Pipeline created successfully.

dataobject

The new pipeline with base64 ids and stages

POST /api/pipeline/create is the same endpoint.